{% extends "template.html" %}
{% load i18n %}

{% block js %}
<script type="text/javascript">
	$(document).ready(inicio)
	function inicio()
	{
		$("#fregistro :input").blur(validar);
	}
	function validar(){
		if (this.id=='id_username')
		{
			if(this.value.length >= 6 && this.value.length <= 20)
			{
				var tdato=this.value;
				$.ajax({
					type:'POST',
					url:'/verificar/usuario/',
					data:$('#fregistro').serialize(),
					beforeSend: antesEnviar,
					success:llegada,
					error:errores
				});
			}
			$("#resultado").text('6 caracteres o maximo 30. Entre letras, dígitos y @/./+/-/_ solamente.');
		};
	}

	function antesEnviar(){
		$("#resultado").text('Verificando...');
	}
	function llegada(data){
		if (data == 1)
			//$('#resultado').text("error");
			$('#resultado ').text('Usuario no Disponible...!!!');
		else{
			if (data ==2)
				$('#resultado ').text('Usuario Disponible...!!!');
			else
				$('#resultado ').text('Llenar Campo Obligatorio...!!!');
		}
		//$("#resultado").text(data);
	}
	function errores(){
		$("#resultado").text('Problemas en el servidor');
	}


</script>
{% endblock %}

{% block cuerpo %}

<div class="col-md-12 col-sm-12 col-xs-12">
                <div class="x_panel">
                  <div class="x_title">
                    <h2>Form validation <small>sub title</small></h2>
                    <ul class="nav navbar-right panel_toolbox">
                      <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                      </li>
                      <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                          <li><a href="#">Settings 1</a>
                          </li>
                          <li><a href="#">Settings 2</a>
                          </li>
                        </ul>
                      </li>
                      <li><a class="close-link"><i class="fa fa-close"></i></a>
                      </li>
                    </ul>
                    <div class="clearfix"></div>
                  </div>
                  <div class="x_content">
					<form method="post" action="." id='fregistro'>
                     	<span class="section">Registro de Usuarios</span>
						  	{% csrf_token %}
						  	<table>
							  	<tbody>
								  	<tr>
									  	<th>
									  		<label for="id_username">Nombre de usuario:</label>
									  	</th>
									  	<td>
									  		<input id="id_username" maxlength="30" name="username" type="text">
									  		<span id="resultado">  </span> 
									  		<br><span class="helptext">Requerido. 30 caracteres o menos. Letras, dígitos y @/./+/-/_ solamente.</span>
										</td>
									</tr>
									<tr>
									  	<th>
									  		<label for="id_password1">Contraseña:</label>
									  	</th>
									  	<td>
									  		<input id="id_password1" name="password1" type="password">
									  	</td>
									</tr>
									<tr>
									  	<th>
									  		<label for="id_password2">Contraseña (confirmación):</label>
									  	</th>
									  	<td>
									  		<input id="id_password2" name="password2" type="password">
									  		<br>	<span class="helptext">Para verificar, introduzca la misma contraseña anterior.</span>
									  	</td>
								  	</tr>
							  	</tbody>
						  	</table>
							<input type="submit" value="{% trans 'GUARDAR' %}" />
						</form>
                  </div>
                </div>
              </div>

{% endblock %}
